import React from 'react';
import VimeoPlayerTypes from '@vimeo/player';
export declare type VimeoPlayer = VimeoPlayerTypes;
export declare type VimeoPlayerState = 'PLAYING' | 'PAUSED' | 'ENDED';
declare type Props = {
    videoId: string;
    autopause?: boolean;
    autoplay?: boolean;
    byline?: boolean;
    color?: string;
    controls?: boolean;
    loop?: boolean;
    muted?: boolean;
    playsinline?: boolean;
    portrait?: boolean;
    speed?: boolean;
    title?: boolean;
    transparent?: boolean;
    className?: string;
    style?: {};
    onReady?: (player: VimeoPlayer) => void;
    onStateChange?: (playerState: VimeoPlayerState, player: VimeoPlayer) => void;
    onFinish?: () => void;
    onError?: (err: any) => void;
};
declare const Vimeo: React.FC<Props>;
export default Vimeo;
