/// <reference types="youtube" />
import React from 'react';
export declare type YouTubePlayer = YT.Player & {
    getVideoData(): {
        video_id: string;
        author: string;
        title: string;
    };
};
export declare type YouTubePlayerState = keyof typeof YT.PlayerState;
declare type Props = {
    videoId: string;
    autoplay?: boolean;
    autohide?: boolean;
    ccLangPref?: string;
    ccLoadPolicy?: boolean;
    color?: 'red' | 'white';
    controls?: boolean;
    disableKeyboard?: boolean;
    disableFullScreen?: boolean;
    end?: number;
    hl?: string;
    ivLoadPolicy?: 1 | 2 | 3;
    list?: string;
    listType?: 'playlist' | 'search' | 'user_uploads';
    loop?: boolean;
    modestbranding?: boolean;
    playlist?: string[];
    playsinline?: boolean;
    rel?: boolean;
    start?: number;
    className?: string;
    style?: {};
    onReady?: (player: YouTubePlayer) => void;
    onStateChange?: (playerState: YouTubePlayerState, player: YouTubePlayer) => void;
    onFinish?: () => void;
    onError?: (err: YT.OnErrorEvent) => void;
};
declare const YouTube: React.FC<Props>;
export default YouTube;
